![](https://github.com/Chakazul/Lenia/blob/master/Screencap/icon2.png)

**For full version list, see [Timeline in Lenia portal](https://chakazul.github.io/lenia.html)**

* [2020-10-13] Update Python version with multi-kernel and multi-channel extensions (v3.4 LeniaNDK.py, v3.5 LeniaNDKC.py). To see the most advanced Lenia patterns, run "python LeniaNDKC.py -c3 -k3", and press "B"
* [2020-07-22] Companion video "Lenia: Expanded Universe" available at https://youtu.be/HT49wpyux-k
* [2020-07-14] Paper published in ALIFE 2020 Proceedings at https://www.mitpressjournals.org/doi/abs/10.1162/isal_a_00297
* [2020-05-07] Preprint paper "Lenia and Expanded Universe" for ALIFE2020 available at https://arxiv.org/abs/2005.03742
* [2020-01-13] Major update in Python version: n-Dimensional Lenia. List of changes see [LeniaND changes.txt](Python/LeniaND%20changes.txt)
* [2019-12-14] Lifeforms found in 3D and 4D Lenia 
https://twitter.com/BertChakovsky/status/1211010576631005184
https://twitter.com/BertChakovsky/status/1209177017096163328
* [2019-10-16] Paper published in Complex Systems journal at https://www.complex-systems.com/abstracts/v28_i03_a01/ 
* [2019-05-04] Preprint paper updated on arXiv, accepted by Complex Systems journal and waiting for publication  
* [2018-12-27] Preprint paper "Lenia - Biology of Artificial Life" available at https://arxiv.org/abs/1812.05433
* [2018-07-19] Ready to run in your browser!  https://chakazul.github.io/Lenia/JavaScript/Lenia.html

# Lenia

Lenia is a 2D [cellular automata](https://en.wikipedia.org/wiki/Cellular_automaton) with continuous space, time and states. It produces a huge variety of interesting life forms.

There are various versions available. Python, Matlab and web (JavaScript) versions are real-time, interactive, and equipped with statistics tools. Jupyter and R versions are non-interactive and just for demonstration purposes.

## Showcase video

[![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Video2.png)](https://youtu.be/HT49wpyux-k)
[![Watch in YouTube](https://chakazul.github.io/icons/icon-youtube.png)](https://youtu.be/HT49wpyux-k)
[![Watch in Vimeo](https://chakazul.github.io/icons/icon-vimeo.png)](https://vimeo.com/440386996)

[![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Video.png)](https://youtu.be/iE46jKYcI4Y)
[![Watch in YouTube](https://chakazul.github.io/icons/icon-youtube.png)](https://youtu.be/iE46jKYcI4Y)
[![Watch in Vimeo](https://chakazul.github.io/icons/icon-vimeo.png)](https://vimeo.com/277328815)

## Python Version

Fastest version, minimalist layout. Now with GPU support! (Needs Python3 and various libraries)

![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Python3.png)
![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Python4.png)
![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Python-stats.png)

## Matlab Version

Fast version, great tools for statistical analysis. (Needs purchased copy of Matlab)

![screen cap](https://github.com/Chakazul/Lenia/blob/master/Screencap/Matlab.png)

## JavaScript Version

The original program, slow but with most features.

![screen cap 1](https://github.com/Chakazul/Lenia/blob/master/Screencap/JavaScript.png)
![screen cap 2](https://github.com/Chakazul/Lenia/blob/master/Screencap/JavaScript2.png)
![screen cap 3](https://github.com/Chakazul/Lenia/blob/master/Screencap/JavaScript3.png)

3D rendering using plot.ly

![orbium](https://github.com/Chakazul/Lenia/blob/master/Screencap/orbium-ezgif.gif)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
![gyrorbium](https://github.com/Chakazul/Lenia/blob/master/Screencap/gyrorbium-ezgif.gif)
